Page MenuHomePhabricator

Don't show the "results from other projects" box if empty
Closed, ResolvedPublic

Description

In https://it.wikipedia.org/w/index.php?title=Speciale%3ARicerca&search=Rabi+Samuel+Israelita&go=Vai the interwiki search finds no results from sister projects, yet the box is shown nevertheless.

That's slightly distracting.

Details

Related Gerrit Patches:
mediawiki/core : masterDo not output interwiki search results box when there's no result
mediawiki/extensions/CirrusSearch : masterPerform interwiki searches with a multi-search
mediawiki/extensions/CirrusSearch : masterReturn null when getInterwikiResults()

Event Timeline

Nemo_bis created this task.Apr 22 2015, 4:43 PM
Nemo_bis raised the priority of this task from to Medium.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added a project: MediaWiki-Search.
Nemo_bis added a subscriber: Nemo_bis.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 22 2015, 4:43 PM

Code is in showInterwiki() in ./includes/specials/SpecialSearch.php if anyone wants to give this a shot.

Restricted Application added a project: Discovery. · View Herald TranscriptJul 16 2015, 1:43 PM
01tonythomas set Security to None.
01tonythomas added a subscriber: 01tonythomas.

Change 239037 had a related patch set uploaded (by Nemo bis):
Do not output interwiki search results box when there's no result

https://gerrit.wikimedia.org/r/239037

Change 239048 had a related patch set uploaded (by Nemo bis):
Return null when getInterwikiResults()

https://gerrit.wikimedia.org/r/239048

Change 313318 had a related patch set uploaded (by EBernhardson):
[WIP] Perform interwiki searches with a multi-search

https://gerrit.wikimedia.org/r/313318

Restricted Application added a project: Discovery-Search. · View Herald TranscriptOct 11 2016, 8:01 PM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript

Change 239048 abandoned by EBernhardson:
Return null when getInterwikiResults()

Reason:
issue is being resolved in previously mentioned patch

https://gerrit.wikimedia.org/r/239048

Change 313318 merged by jenkins-bot:
Perform interwiki searches with a multi-search

https://gerrit.wikimedia.org/r/313318

debt closed this task as Resolved.Oct 27 2016, 7:55 PM

Change 239037 abandoned by EBernhardson:
Do not output interwiki search results box when there's no result

Reason:
fixed via a larger refactor of SpecialSearch into widgets.

https://gerrit.wikimedia.org/r/239037